#ifndef __PROTOCOL_H
#define	__PROTOCOL_H
#include "gateway_message.h"
// 解析发过来的数据是modbus还是dlt645 
#define	MODBUS_WRITE 4                //本机用于区分读写
#define	MODBUS 3
#define	DLT645_07 2
#define	DLT645_97 1

int masterSendNodeString(uint8_t nodeIndex, uint8_t *string, uint16_t *size);
uint8_t SlaveProtocolAnalysis(uint8_t *buff, uint16_t len);
void nodeSendReaddValue(uint8_t *string,uint16_t *size);
int GatewayProtocolAnalysis(uint8_t *string, uint16_t len);
#endif
